Index: /trunk/bp-groups.php
===================================================================
--- /trunk/bp-groups.php	(revision 3727)
+++ /trunk/bp-groups.php	(revision 3728)
@@ -2125,19 +2134,19 @@
 			$primary_link .= "?topic_page=" . $page;
 
-		/* Fetch an existing entry and update if one exists. */
+		// Fetch an existing entry and update if one exists.
 		if ( function_exists( 'bp_activity_get_activity_id' ) )
 			$id = bp_activity_get_activity_id( array( 'user_id' => $post->poster_id, 'component' => $bp->groups->id, 'type' => 'new_forum_post', 'item_id' => $bp->groups->current_group->id, 'secondary_item_id' => $post_id ) );
 
-		/* Update the entry in activity streams */
+		// Update the entry in activity streams
 		groups_record_activity( array(
-			'id' => $id,
-			'action' => apply_filters( 'groups_activity_new_forum_post_action', $activity_action, $post_text, &$topic, &$forum_post ),
-			'content' => apply_filters( 'groups_activity_new_forum_post_content', $activity_content, $post_text, &$topic, &$forum_post ),
-			'primary_link' => apply_filters( 'groups_activity_new_forum_post_primary_link', $primary_link . "#post-" . $post_id ),
-			'type' => 'new_forum_post',
-			'item_id' => (int)$bp->groups->current_group->id,
-			'user_id' => (int)$post->poster_id,
+			'id'                => $id,
+			'action'            => apply_filters( 'groups_activity_new_forum_post_action', $activity_action, $post_text, &$topic, &$forum_post ),
+			'content'           => apply_filters( 'groups_activity_new_forum_post_content', $activity_content, $post_text, &$topic, &$forum_post ),
+			'primary_link'      => apply_filters( 'groups_activity_new_forum_post_primary_link', $primary_link . "#post-" . $post_id ),
+			'type'              => 'new_forum_post',
+			'item_id'           => (int)$bp->groups->current_group->id,
+			'user_id'           => (int)$post->poster_id,
 			'secondary_item_id' => $post_id,
-			'recorded_time' => $post->post_time
+			'recorded_time'     => $post->post_time
 		) );
 
@@ -2156,8 +2165,7 @@
 		do_action( 'groups_before_delete_group_forum_topic', $topic_id );
 
-		/* Delete the activity stream item */
-		if ( function_exists( 'bp_activity_delete' ) ) {
+		// Delete the activity stream item
+		if ( function_exists( 'bp_activity_delete' ) )
 			bp_activity_delete( array( 'item_id' => $bp->groups->current_group->id, 'secondary_item_id' => $topic_id, 'component' => $bp->groups->id, 'type' => 'new_forum_topic' ) );
-		}
 
 		do_action( 'groups_delete_group_forum_topic', $topic_id );
@@ -2175,8 +2183,7 @@
 		do_action( 'groups_before_delete_group_forum_post', $post_id, $topic_id );
 
-		/* Delete the activity stream item */
-		if ( function_exists( 'bp_activity_delete' ) ) {
+		// Delete the activity stream item
+		if ( function_exists( 'bp_activity_delete' ) )
 			bp_activity_delete( array( 'item_id' => $bp->groups->current_group->id, 'secondary_item_id' => $post_id, 'component' => $bp->groups->id, 'type' => 'new_forum_post' ) );
-		}
 
 		do_action( 'groups_delete_group_forum_post', $post_id, $topic_id );
@@ -2208,9 +2215,9 @@
 
 	$defaults = array(
-		'user_id' => false,
-		'group_id' => false,
-		'inviter_id' => $bp->loggedin_user->id,
+		'user_id'       => false,
+		'group_id'      => false,
+		'inviter_id'    => $bp->loggedin_user->id,
 		'date_modified' => bp_core_current_time(),
-		'is_confirmed' => 0
+		'is_confirmed'  => 0
 	);
 
@@ -2222,10 +2229,10 @@
 
 	if ( !groups_is_user_member( $user_id, $group_id ) && !groups_check_user_has_invite( $user_id, $group_id ) ) {
-		$invite = new BP_Groups_Member;
-		$invite->group_id = $group_id;
-		$invite->user_id = $user_id;
+		$invite                = new BP_Groups_Member;
+		$invite->group_id      = $group_id;
+		$invite->user_id       = $user_id;
 		$invite->date_modified = $date_modified;
-		$invite->inviter_id = $inviter_id;
-		$invite->is_confirmed = $is_confirmed;
+		$invite->inviter_id    = $inviter_id;
+		$invite->is_confirmed  = $is_confirmed;
 
 		if ( !$invite->save() )
@@ -2261,9 +2268,9 @@
 		return false;
 
-	/* Remove request to join */
+	// Remove request to join
 	if ( $member->check_for_membership_request( $user_id, $group_id ) )
 		$member->delete_request( $user_id, $group_id );
 
-	/* Modify group meta */
+	// Modify group meta
 	groups_update_groupmeta( $group_id, 'total_member_count', (int) groups_get_groupmeta( $group_id, 'total_member_count') + 1 );
 	groups_update_groupmeta( $group_id, 'last_activity', bp_core_current_time() );
@@ -2403,21 +2410,21 @@
 	global $bp;
 
-	/* Prevent duplicate requests */
+	// Prevent duplicate requests
 	if ( groups_check_for_membership_request( $requesting_user_id, $group_id ) )
 		return false;
 
-	/* Check if the user is already a member or is banned */
+	// Check if the user is already a member or is banned
 	if ( groups_is_user_member( $requesting_user_id, $group_id ) || groups_is_user_banned( $requesting_user_id, $group_id ) )
 		return false;
 
-	$requesting_user = new BP_Groups_Member;
-	$requesting_user->group_id = $group_id;
-	$requesting_user->user_id = $requesting_user_id;
-	$requesting_user->inviter_id = 0;
-	$requesting_user->is_admin = 0;
-	$requesting_user->user_title = '';
+	$requesting_user                = new BP_Groups_Member;
+	$requesting_user->group_id      = $group_id;
+	$requesting_user->user_id       = $requesting_user_id;
+	$requesting_user->inviter_id    = 0;
+	$requesting_user->is_admin      = 0;
+	$requesting_user->user_title    = '';
 	$requesting_user->date_modified = bp_core_current_time();
-	$requesting_user->is_confirmed = 0;
-	$requesting_user->comments = $_POST['group-request-membership-comments'];
+	$requesting_user->is_confirmed  = 0;
+	$requesting_user->comments      = $_POST['group-request-membership-comments'];
 
 	if ( $requesting_user->save() ) {
@@ -2426,8 +2433,7 @@
 		require_once ( BP_PLUGIN_DIR . '/bp-groups/bp-groups-notifications.php' );
 
-		for ( $i = 0; $i < count( $admins ); $i++ ) {
-			// Saved okay, now send the email notification
+		// Saved okay, now send the email notification
+		for ( $i = 0; $i < count( $admins ); $i++ )
 			groups_notification_new_membership_request( $requesting_user_id, $admins[$i]->user_id, $group_id, $requesting_user->id );
-		}
 
 		do_action( 'groups_membership_requested', $requesting_user_id, $admins, $group_id, $requesting_user->id );
@@ -2452,22 +2458,22 @@
 		return false;
 
-	/* Check if the user has an outstanding invite, if so delete it. */
+	// Check if the user has an outstanding invite, if so delete it.
 	if ( groups_check_user_has_invite( $membership->user_id, $membership->group_id ) )
 		groups_delete_invite( $membership->user_id, $membership->group_id );
 
-	/* Modify group member count */
+	// Modify group member count
 	groups_update_groupmeta( $membership->group_id, 'total_member_count', (int) groups_get_groupmeta( $membership->group_id, 'total_member_count') + 1 );
 
-	/* Record this in activity streams */
+	// Record this in activity streams
 	$group = new BP_Groups_Group( $membership->group_id );
 
 	groups_record_activity( array(
-		'action'	=> apply_filters( 'groups_activity_membership_accepted_action', sprintf( __( '%1$s joined the group %2$s', 'buddypress'), bp_core_get_userlink( $membership->user_id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( $group->name ) . '</a>' ), $membership->user_id, &$group ),
-		'type'		=> 'joined_group',
-		'item_id'	=> $membership->group_id,
-		'user_id'	=> $membership->user_id
+		'action'  => apply_filters( 'groups_activity_membership_accepted_action', sprintf( __( '%1$s joined the group %2$s', 'buddypress'), bp_core_get_userlink( $membership->user_id ), '<a href="' . bp_get_group_permalink( $group ) . '">' . esc_attr( $group->name ) . '</a>' ), $membership->user_id, &$group ),
+		'type'    => 'joined_group',
+		'item_id' => $membership->group_id,
+		'user_id' => $membership->user_id
 	) );
 
-	/* Send a notification to the user. */
+	// Send a notification to the user.
 	require_once ( BP_PLUGIN_DIR . '/bp-groups/bp-groups-notifications.php' );
 	groups_notification_membership_request_completed( $membership->user_id, $membership->group_id, true );
@@ -2513,7 +2519,6 @@
 		return false;
 
-	foreach ( (array) $user_ids as $user_id ) {
+	foreach ( (array) $user_ids as $user_id )
 		groups_accept_membership_request( false, $user_id, $group_id );
-	}
 
 	do_action( 'groups_accept_all_pending_membership_requests', $group_id );
@@ -2530,20 +2535,19 @@
 		return false;
 
-	$meta_key = preg_replace('|[^a-z0-9_]|i', '', $meta_key);
-
-	if ( is_array($meta_value) || is_object($meta_value) )
+	$meta_key = preg_replace( '|[^a-z0-9_]|i', '', $meta_key );
+
+	if ( is_array( $meta_value ) || is_object( $meta_value ) )
 		$meta_value = serialize($meta_value);
 
 	$meta_value = trim( $meta_value );
 
-	if ( !$meta_key ) {
+	if ( !$meta_key )
 		$wpdb->query( $wpdb->prepare( "DELETE FROM " . $bp->groups->table_name_groupmeta . " WHERE group_id = %d", $group_id ) );
-	} else if ( $meta_value ) {
+	else if ( $meta_value )
 		$wpdb->query( $wpdb->prepare( "DELETE FROM " . $bp->groups->table_name_groupmeta . " WHERE group_id = %d AND meta_key = %s AND meta_value = %s", $group_id, $meta_key, $meta_value ) );
-	} else {
+	else
 		$wpdb->query( $wpdb->prepare( "DELETE FROM " . $bp->groups->table_name_groupmeta . " WHERE group_id = %d AND meta_key = %s", $group_id, $meta_key ) );
-	}
-
-	/* Delete the cached object */
+
+	// Delete the cached object
 	wp_cache_delete( 'bp_groups_groupmeta_' . $group_id . '_' . $meta_key, 'bp' );
 
@@ -2560,5 +2564,5 @@
 
 	if ( !empty($meta_key) ) {
-		$meta_key = preg_replace('|[^a-z0-9_]|i', '', $meta_key);
+		$meta_key = preg_replace( '|[^a-z0-9_]|i', '', $meta_key );
 
 		if ( !$metas = wp_cache_get( 'bp_groups_groupmeta_' . $group_id . '_' . $meta_key, 'bp' ) ) {
@@ -2570,6 +2574,6 @@
 	}
 
-	if ( empty($metas) ) {
-		if ( empty($meta_key) )
+	if ( empty( $metas ) ) {
+		if ( empty( $meta_key ) )
 			return array();
 		else
@@ -2577,7 +2581,7 @@
 	}
 
-	$metas = array_map('maybe_unserialize', (array)$metas);
-
-	if ( 1 == count($metas) )
+	$metas = array_map( 'maybe_unserialize', (array)$metas );
+
+	if ( 1 == count( $metas ) )
 		return $metas[0];
 	else
@@ -2593,24 +2597,22 @@
 	$meta_key = preg_replace( '|[^a-z0-9_]|i', '', $meta_key );
 
-	if ( is_string($meta_value) )
-		$meta_value = stripslashes($wpdb->escape($meta_value));
-
-	$meta_value = maybe_serialize($meta_value);
-
-	if (empty($meta_value)) {
+	if ( is_string( $meta_value ) )
+		$meta_value = stripslashes( $wpdb->escape( $meta_value ) );
+
+	$meta_value = maybe_serialize( $meta_value );
+
+	if ( empty( $meta_value ) )
 		return groups_delete_groupmeta( $group_id, $meta_key );
-	}
 
 	$cur = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM " . $bp->groups->table_name_groupmeta . " WHERE group_id = %d AND meta_key = %s", $group_id, $meta_key ) );
 
-	if ( !$cur ) {
+	if ( !$cur )
 		$wpdb->query( $wpdb->prepare( "INSERT INTO " . $bp->groups->table_name_groupmeta . " ( group_id, meta_key, meta_value ) VALUES ( %d, %s, %s )", $group_id, $meta_key, $meta_value ) );
-	} else if ( $cur->meta_value != $meta_value ) {
+	else if ( $cur->meta_value != $meta_value )
 		$wpdb->query( $wpdb->prepare( "UPDATE " . $bp->groups->table_name_groupmeta . " SET meta_value = %s WHERE group_id = %d AND meta_key = %s", $meta_value, $group_id, $meta_key ) );
-	} else {
-		return false;
-	}
-
-	/* Update the cached object and recache */
+	else
+		return false;
+
+	// Update the cached object and recache
 	wp_cache_set( 'bp_groups_groupmeta_' . $group_id . '_' . $meta_key, $meta_value, 'bp' );
 
@@ -2621,10 +2623,10 @@
 
 function groups_remove_data_for_user( $user_id ) {
-	BP_Groups_Member::delete_all_for_user($user_id);
+	BP_Groups_Member::delete_all_for_user( $user_id );
 
 	do_action( 'groups_remove_data_for_user', $user_id );
 }
-add_action( 'wpmu_delete_user', 'groups_remove_data_for_user' );
-add_action( 'delete_user', 'groups_remove_data_for_user' );
+add_action( 'wpmu_delete_user',  'groups_remove_data_for_user' );
+add_action( 'delete_user',       'groups_remove_data_for_user' );
 add_action( 'bp_make_spam_user', 'groups_remove_data_for_user' );
 
@@ -2640,8 +2642,8 @@
 	wp_cache_delete( 'bp_total_group_count', 'bp' );
 }
-add_action( 'groups_group_deleted', 'groups_clear_group_object_cache' );
-add_action( 'groups_settings_updated', 'groups_clear_group_object_cache' );
-add_action( 'groups_details_updated', 'groups_clear_group_object_cache' );
-add_action( 'groups_group_avatar_updated', 'groups_clear_group_object_cache' );
+add_action( 'groups_group_deleted',              'groups_clear_group_object_cache' );
+add_action( 'groups_settings_updated',           'groups_clear_group_object_cache' );
+add_action( 'groups_details_updated',            'groups_clear_group_object_cache' );
+add_action( 'groups_group_avatar_updated',       'groups_clear_group_object_cache' );
 add_action( 'groups_create_group_step_complete', 'groups_clear_group_object_cache' );
 
@@ -2649,28 +2651,28 @@
 	wp_cache_delete( 'bp_total_groups_for_user_' . $user_id );
 }
-add_action( 'groups_join_group', 'groups_clear_group_user_object_cache', 10, 2 );
-add_action( 'groups_leave_group', 'groups_clear_group_user_object_cache', 10, 2 );
-add_action( 'groups_ban_member', 'groups_clear_group_user_object_cache', 10, 2 );
+add_action( 'groups_join_group',   'groups_clear_group_user_object_cache', 10, 2 );
+add_action( 'groups_leave_group',  'groups_clear_group_user_object_cache', 10, 2 );
+add_action( 'groups_ban_member',   'groups_clear_group_user_object_cache', 10, 2 );
 add_action( 'groups_unban_member', 'groups_clear_group_user_object_cache', 10, 2 );
 
 /* List actions to clear super cached pages on, if super cache is installed */
-add_action( 'groups_join_group', 'bp_core_clear_cache' );
-add_action( 'groups_leave_group', 'bp_core_clear_cache' );
-add_action( 'groups_accept_invite', 'bp_core_clear_cache' );
-add_action( 'groups_reject_invite', 'bp_core_clear_cache' );
-add_action( 'groups_invite_user', 'bp_core_clear_cache' );
-add_action( 'groups_uninvite_user', 'bp_core_clear_cache' );
-add_action( 'groups_details_updated', 'bp_core_clear_cache' );
-add_action( 'groups_settings_updated', 'bp_core_clear_cache' );
-add_action( 'groups_unban_member', 'bp_core_clear_cache' );
-add_action( 'groups_ban_member', 'bp_core_clear_cache' );
-add_action( 'groups_demote_member', 'bp_core_clear_cache' );
-add_action( 'groups_premote_member', 'bp_core_clear_cache' );
-add_action( 'groups_membership_rejected', 'bp_core_clear_cache' );
-add_action( 'groups_membership_accepted', 'bp_core_clear_cache' );
-add_action( 'groups_membership_requested', 'bp_core_clear_cache' );
+add_action( 'groups_join_group',                 'bp_core_clear_cache' );
+add_action( 'groups_leave_group',                'bp_core_clear_cache' );
+add_action( 'groups_accept_invite',              'bp_core_clear_cache' );
+add_action( 'groups_reject_invite',              'bp_core_clear_cache' );
+add_action( 'groups_invite_user',                'bp_core_clear_cache' );
+add_action( 'groups_uninvite_user',              'bp_core_clear_cache' );
+add_action( 'groups_details_updated',            'bp_core_clear_cache' );
+add_action( 'groups_settings_updated',           'bp_core_clear_cache' );
+add_action( 'groups_unban_member',               'bp_core_clear_cache' );
+add_action( 'groups_ban_member',                 'bp_core_clear_cache' );
+add_action( 'groups_demote_member',              'bp_core_clear_cache' );
+add_action( 'groups_premote_member',             'bp_core_clear_cache' );
+add_action( 'groups_membership_rejected',        'bp_core_clear_cache' );
+add_action( 'groups_membership_accepted',        'bp_core_clear_cache' );
+add_action( 'groups_membership_requested',       'bp_core_clear_cache' );
 add_action( 'groups_create_group_step_complete', 'bp_core_clear_cache' );
-add_action( 'groups_created_group', 'bp_core_clear_cache' );
-add_action( 'groups_group_avatar_updated', 'bp_core_clear_cache' );
+add_action( 'groups_created_group',              'bp_core_clear_cache' );
+add_action( 'groups_group_avatar_updated',       'bp_core_clear_cache' );
 
 ?>
Index: /trunk/bp-groups/bp-groups-templatetags.php
===================================================================
--- /trunk/bp-groups/bp-groups-templatetags.php	(revision 3727)
+++ /trunk/bp-groups/bp-groups-templatetags.php	(revision 3728)
@@ -351,5 +351,5 @@
 			$group =& $groups_template->group;
 
-		return apply_filters( 'bp_get_group_permalink', $bp->root_domain . '/' . $bp->groups->slug . '/' . $group->slug . '/' );
+		return apply_filters( 'bp_get_group_permalink', $bp->root_domain . '/' . $bp->groups->root_slug . '/' . $group->slug . '/' );
 	}
 
@@ -363,5 +363,5 @@
 			$group =& $groups_template->group;
 
-		return apply_filters( 'bp_get_group_admin_permalink', $bp->root_domain . '/' . $bp->groups->slug . '/' . $group->slug . '/admin' );
+		return apply_filters( 'bp_get_group_admin_permalink', $bp->root_domain . '/' . $bp->groups->root_slug . '/' . $group->slug . '/admin' );
 	}
 
@@ -548,5 +548,5 @@
 	global $bp;
 
-	if ( !$bp->is_single_item || $bp->current_component != $bp->groups->slug || $bp->current_action != $bp->activity->slug )
+	if ( !$bp->is_single_item || !bp_is_current_component( $bp->groups->slug ) || $bp->current_action != $bp->activity->slug )
 		return false;
 
@@ -930,5 +930,5 @@
 ?>
 	<?php if ( $bp->is_item_admin || $bp->is_item_mod ) { ?>
-		<li<?php if ( 'edit-details' == $current_tab || empty( $current_tab ) ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/<?php echo $group->slug ?>/admin/edit-details"><?php _e('Edit Details', 'buddypress') ?></a></li>
+		<li<?php if ( 'edit-details' == $current_tab || empty( $current_tab ) ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/<?php echo $group->slug ?>/admin/edit-details"><?php _e('Edit Details', 'buddypress') ?></a></li>
 	<?php } ?>
 
@@ -937,15 +937,15 @@
 			return false;
 	?>
-	<li<?php if ( 'group-settings' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/<?php echo $group->slug ?>/admin/group-settings"><?php _e('Group Settings', 'buddypress') ?></a></li>
-	<li<?php if ( 'group-avatar' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/<?php echo $group->slug ?>/admin/group-avatar"><?php _e('Group Avatar', 'buddypress') ?></a></li>
-	<li<?php if ( 'manage-members' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/<?php echo $group->slug ?>/admin/manage-members"><?php _e('Manage Members', 'buddypress') ?></a></li>
+	<li<?php if ( 'group-settings' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/<?php echo $group->slug ?>/admin/group-settings"><?php _e('Group Settings', 'buddypress') ?></a></li>
+	<li<?php if ( 'group-avatar' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/<?php echo $group->slug ?>/admin/group-avatar"><?php _e('Group Avatar', 'buddypress') ?></a></li>
+	<li<?php if ( 'manage-members' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/<?php echo $group->slug ?>/admin/manage-members"><?php _e('Manage Members', 'buddypress') ?></a></li>
 
 	<?php if ( $groups_template->group->status == 'private' ) : ?>
-		<li<?php if ( 'membership-requests' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/<?php echo $group->slug ?>/admin/membership-requests"><?php _e('Membership Requests', 'buddypress') ?></a></li>
+		<li<?php if ( 'membership-requests' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/<?php echo $group->slug ?>/admin/membership-requests"><?php _e('Membership Requests', 'buddypress') ?></a></li>
 	<?php endif; ?>
 
 	<?php do_action( 'groups_admin_tabs', $current_tab, $group->slug ) ?>
 
-	<li<?php if ( 'delete-group' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/<?php echo $group->slug ?>/admin/delete-group"><?php _e('Delete Group', 'buddypress') ?></a></li>
+	<li<?php if ( 'delete-group' == $current_tab ) : ?> class="current"<?php endif; ?>><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/<?php echo $group->slug ?>/admin/delete-group"><?php _e('Delete Group', 'buddypress') ?></a></li>
 <?php
 }
@@ -1620,5 +1620,5 @@
 		$is_enabled = bp_are_previous_group_creation_steps_complete( $slug ); ?>
 
-		<li<?php if ( $bp->groups->current_create_step == $slug ) : ?> class="current"<?php endif; ?>><?php if ( $is_enabled ) : ?><a href="<?php echo $bp->root_domain . '/' . $bp->groups->slug ?>/create/step/<?php echo $slug ?>/"><?php else: ?><span><?php endif; ?><?php echo $counter ?>. <?php echo $step['name'] ?><?php if ( $is_enabled ) : ?></a><?php else: ?></span><?php endif ?></li><?php
+		<li<?php if ( $bp->groups->current_create_step == $slug ) : ?> class="current"<?php endif; ?>><?php if ( $is_enabled ) : ?><a href="<?php echo $bp->root_domain . '/' . $bp->groups->root_slug ?>/create/step/<?php echo $slug ?>/"><?php else: ?><span><?php endif; ?><?php echo $counter ?>. <?php echo $step['name'] ?><?php if ( $is_enabled ) : ?></a><?php else: ?></span><?php endif ?></li><?php
 		$counter++;
 	}
@@ -1644,5 +1644,5 @@
 			$bp->action_variables[1] = array_shift( array_keys( $bp->groups->group_creation_steps ) );
 
-		return apply_filters( 'bp_get_group_creation_form_action', $bp->root_domain . '/' . $bp->groups->slug . '/create/step/' . $bp->action_variables[1] );
+		return apply_filters( 'bp_get_group_creation_form_action', $bp->root_domain . '/' . $bp->groups->root_slug . '/create/step/' . $bp->action_variables[1] );
 	}
 
@@ -1651,5 +1651,5 @@
 
 	/* Make sure we are in the groups component */
-	if ( $bp->current_component != BP_GROUPS_SLUG || 'create' != $bp->current_action )
+	if ( !bp_is_current_component( $bp->groups->slug ) || 'create' != $bp->current_action )
 		return false;
 
@@ -1930,5 +1930,5 @@
 	global $bp;
 
-	if ( $bp->current_component != BP_GROUPS_SLUG || 'admin' != $bp->current_action )
+	if ( !bp_is_current_component( $bp->groups->slug ) || 'admin' != $bp->current_action )
 		return false;
 
@@ -1947,7 +1947,11 @@
 
 	if ( $bp->groups->current_group->avatar_full ) { ?>
+
 		<img src="<?php echo esc_attr( $bp->groups->current_group->avatar_full ) ?>" alt="<?php _e( 'Group Avatar', 'buddypress' ) ?>" class="avatar" />
+
 	<?php } else { ?>
+
 		<img src="<?php echo $bp->groups->image_base . '/none.gif' ?>" alt="<?php _e( 'No Group Avatar', 'buddypress' ) ?>" class="avatar" />
+
 	<?php }
 }
@@ -2041,5 +2045,5 @@
 			'next_text' => '&rarr;',
 			'mid_size' => 1
-		));
+		) );
 	}
 
@@ -2060,7 +2064,7 @@
 	function rewind_requests() {
 		$this->current_request = -1;
-		if ( $this->request_count > 0 ) {
+
+		if ( $this->request_count > 0 )
 			$this->request = $this->requests[0];
-		}
 	}
 
@@ -2095,5 +2099,5 @@
 		'group_id' => $groups_template->group->id,
 		'per_page' => 10,
-		'max' => false
+		'max'      => false
 	);
 
@@ -2202,7 +2206,6 @@
 	function rewind_invites() {
 		$this->current_invite = -1;
-		if ( $this->invite_count > 0 ) {
+		if ( $this->invite_count > 0 )
 			$this->invite = $this->invites[0];
-		}
 	}
 
@@ -2247,7 +2250,8 @@
 
 	if ( !$group_id ) {
-		/* Backwards compatibility */
+		// Backwards compatibility
 		if ( !empty( $bp->groups->current_group ) )
 			$group_id = $bp->groups->current_group->id;
+
 		if ( !empty( $bp->groups->new_group_id ) )
 			$group_id = $bp->groups->new_group_id;
Index: /trunk/bp-loader.php
===================================================================
--- /trunk/bp-loader.php	(revision 3727)
+++ /trunk/bp-loader.php	(revision 3728)
@@ -38,29 +38,29 @@
 	do_action( 'bp_core_loaded' );
 
-	/* Activity Streams */
+	// Activity Streams
 	if ( !isset( $bp_deactivated['bp-activity.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-activity.php') )
 		include( BP_PLUGIN_DIR . '/bp-activity.php' );
 
-	/* Blog Tracking */
+	// Blog Tracking
 	if ( !isset( $bp_deactivated['bp-blogs.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-blogs.php') )
 		include( BP_PLUGIN_DIR . '/bp-blogs.php' );
 
-	/* bbPress Forum Integration */
+	// bbPress Forum Integration
 	if ( !isset( $bp_deactivated['bp-forums.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-forums.php') )
 		include( BP_PLUGIN_DIR . '/bp-forums.php' );
 
-	/* Friend Connections */
+	// Friend Connections
 	if ( !isset( $bp_deactivated['bp-friends.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-friends.php') )
 		include( BP_PLUGIN_DIR . '/bp-friends.php' );
 
-	/* Groups Support */
+	// Groups Support
 	if ( !isset( $bp_deactivated['bp-groups.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-groups.php') )
 		include( BP_PLUGIN_DIR . '/bp-groups.php' );
 
-	/* Private Messaging */
+	// Private Messaging
 	if ( !isset( $bp_deactivated['bp-messages.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-messages.php') )
 		include( BP_PLUGIN_DIR . '/bp-messages.php' );
 
-	/* Extended Profiles */
+	// Extended Profiles
 	if ( !isset( $bp_deactivated['bp-xprofile.php'] ) && file_exists( BP_PLUGIN_DIR . '/bp-xprofile.php') )
 		include( BP_PLUGIN_DIR . '/bp-xprofile.php' );
@@ -70,11 +70,9 @@
 
 /**
-* bp_loaded()
-*
-* Allow dependent plugins and core actions to attach themselves in a safe way.
-*
-* See bp-core.php for the following core actions:
-*      - bp_init|bp_setup_globals|bp_setup_root_components|bp_setup_nav|bp_register_widgets
-*/
+ * Allow dependent plugins and core actions to attach themselves in a safe way.
+ *
+ * See bp-core.php for the following core actions:
+ *      - bp_init|bp_setup_globals|bp_setup_root_components|bp_setup_nav|bp_register_widgets
+ */
 function bp_loaded() {
 	do_action( 'bp_loaded' );
@@ -82,6 +80,4 @@
 
 /**
- * bp_core_get_site_options()
- *
  * BuddyPress uses site options to store configuration settings. Many of these settings are needed
  * at run time. Instead of fetching them all and adding many initial queries to each page load, let's fetch
@@ -126,8 +122,7 @@
 		$site_meta = $wpdb->get_results( "SELECT option_name AS name, option_value AS value FROM {$wpdb->options} WHERE option_name IN ({$meta_keys})" );
 
-	$root_blog_meta_keys = "'" . implode( "','", (array)$root_blog_options ) ."'";
-
+	$root_blog_meta_keys  = "'" . implode( "','", (array)$root_blog_options ) ."'";
 	$root_blog_meta_table = $wpdb->get_blog_prefix( BP_ROOT_BLOG ) . 'options';
-	$root_blog_meta = $wpdb->get_results( $wpdb->prepare( "SELECT option_name AS name, option_value AS value FROM {$root_blog_meta_table} WHERE option_name IN ({$root_blog_meta_keys})" ) );
+	$root_blog_meta       = $wpdb->get_results( $wpdb->prepare( "SELECT option_name AS name, option_value AS value FROM {$root_blog_meta_table} WHERE option_name IN ({$root_blog_meta_keys})" ) );
 
 	$site_options = array();
@@ -141,10 +136,11 @@
 }
 
-/* Activation Function */
+// Activation Function
 function bp_loader_activate() {
-	/* Force refresh theme roots. */
+	// Force refresh theme roots.
 	delete_site_transient( 'theme_roots' );
 
-	/* Switch the user to the new bp-default if they are using the old bp-default on activation. */
+	// Switch the user to the new bp-default if they are using the old
+	// bp-default on activation.
 	if ( 'bp-sn-parent' == get_blog_option( BP_ROOT_BLOG, 'template' ) && 'bp-default' == get_blog_option( BP_ROOT_BLOG, 'stylesheet' ) )
 		switch_theme( 'bp-default', 'bp-default' );
@@ -154,5 +150,5 @@
 register_activation_hook( 'buddypress/bp-loader.php', 'bp_loader_activate' );
 
-/* Deactivation Function */
+// Deactivation Function
 function bp_loader_deactivate() {
 	do_action( 'bp_loader_deactivate' );
